<?php
class widgetTagsFleshcloud extends cmsWidget {
       public function run(){
       
        $fs = $this->getOption('wfs',22);
        $limit = $this->getOption('wlimit',10);
        $widthw = $this->getOption('wwidth',210);
        $heightw = $this->getOption('wheight',300);
        $wtcolor = $this->getOption('wtcolor');
        $wtcolor2 = $this->getOption('wtcolor2');
        $wtspeed = $this->getOption('wtspeed',160);
        $wdistr = $this->getOption('wdistr',true);
              
        $model = cmsCore::getModel('tags');
        $model->orderBy('tag', 'asc');
           
       

        $model->limit($limit);

        $tags = $model->getTags();
    foreach($tags as $id=>$tag){
         
        $tag =trim($tag['tag']);
        $tags[$id] = "<a href='".href_to('tags', 'search')."?q=".urlencode($tag)."'style='font-size:".$fs."px'>".$tag."</a>";
    }


        if (!$tags) { return false; }

        return array(           
            'tags' =>     $tags,
            'widthw' =>   $widthw,
            'heightw' =>  $heightw,
            'wtcolor' =>  $wtcolor,
            'wtcolor2' => $wtcolor2,
            'wtspeed' =>  $wtspeed,
            'wdistr' =>   $wdistr
            );

    }

}


